PROGRAM FLOWSIMPLE!       Example flowsimple.f

! Code converted using TO_F90 by Alan Miller
! Date: 2001-03-14  Time: 22:56:14

USE JAPI


INTEGER :: frame,button1,button2,button3,button4,obj

IF( .NOT. j_start()) THEN
  PRINT*, "can't connect to JAPI server"
  GO TO 20
END IF

!       Generate Graphical Objects
frame     = j_frame("Simple Flowlayout Demo")

CALL j_setflowlayout(frame,j_horizontal)

button1    = j_button(frame,"button1")
button2    = j_button(frame,"button2")
button3    = j_button(frame,"button3")
button4    = j_button(frame,"button4")

CALL j_sethgap(frame,20)
CALL j_setvgap(frame,20)

CALL j_setsize(button1,200,200)
CALL j_setsize(button2,200,200)

CALL j_pack(frame)
CALL j_show(frame)

NEXTACTION: DO
      obj=j_nextaction()

IF(obj == frame) EXIT NEXTACTION

END DO NEXTACTION

20   continue
CALL j_quit()
END PROGRAM FLOWSIMPLE

